%------------------------------- Data File --------------------------------
%   generated in Maple
%--------------------------------------------------------------------------

R_A = 20;
L_A = 3/200;
k_A = .9;
theta_G = .3500000000e-2;
theta_L = .6300000000e-2;
c_T = .2e-1;
d_T = 0;
u_ZW = 200;

xi_s1 = 1/2*2^(1/2);
omega_s1 = 3;
xi_s2 = 1/2*2^(1/2);
omega_s2 = 6;

s=tf('s');
G_uA_w2 = (d_T*s+c_T)*k_A/(L_A*s^4*theta_G*theta_L+L_A*d_T*s^3*theta_G+L_A*d_T*s^3*theta_L+R_A*s^3*theta_G*theta_L+L_A*c_T*s^2*theta_G+L_A*c_T*s^2*theta_L+R_A*d_T*s^2*theta_G+R_A*d_T*s^2*theta_L+k_A^2*s^2*theta_L+R_A*c_T*s*theta_G+R_A*c_T*s*theta_L+d_T*k_A^2*s+c_T*k_A^2)*u_ZW;
R1 = 1/(d_T*s+c_T)/k_A*(L_A*s^4*theta_G*theta_L+L_A*d_T*s^3*theta_G+L_A*d_T*s^3*theta_L+R_A*s^3*theta_G*theta_L+L_A*c_T*s^2*theta_G+L_A*c_T*s^2*theta_L+R_A*d_T*s^2*theta_G+R_A*d_T*s^2*theta_L+k_A^2*s^2*theta_L+R_A*c_T*s*theta_G+R_A*c_T*s*theta_L+d_T*k_A^2*s+c_T*k_A^2)/u_ZW/(s^2/omega_s1^2+2*xi_s1/omega_s1*s+1)^2;
G_ML_w2 = -1/(L_A*s^4*theta_G*theta_L+L_A*d_T*s^3*theta_G+L_A*d_T*s^3*theta_L+R_A*s^3*theta_G*theta_L+L_A*c_T*s^2*theta_G+L_A*c_T*s^2*theta_L+R_A*d_T*s^2*theta_G+R_A*d_T*s^2*theta_L+k_A^2*s^2*theta_L+R_A*c_T*s*theta_G+R_A*c_T*s*theta_L+d_T*k_A^2*s+c_T*k_A^2)*(L_A*s^3*theta_G+L_A*d_T*s^2+R_A*s^2*theta_G+L_A*c_T*s+R_A*d_T*s+k_A^2*s+R_A*c_T);
Rd = -(L_A*s^3*theta_G+L_A*d_T*s^2+R_A*s^2*theta_G+L_A*c_T*s+R_A*d_T*s+k_A^2*s+R_A*c_T)/(d_T*s+c_T)/k_A/u_ZW/(s^2/omega_s2^2+2*xi_s2/omega_s2*s+1)^2;

bode(G_uA_w2);
grid on;
