
s=tf('s');
bode(G_uA_w2);
grid on;
[num_G,den_G]=tfdata(G_uA_w2,'v');
r_den = roots(den_G);

%Notchfilter
R = (s^2-2*s*real(r_den(3))+real(r_den(3))^2+imag(r_den(3))^2)/s;
L1 = R*G_uA_w2;
bode(L1);

%Anforderungen
tr	= 0.5;%*0.7;
ue = 5;

wc = 1.5/tr;
X = freqresp(L1,wc);
dPhi = phase(X)+pi-(70-ue)*pi/180;
wn = wc/tan(dPhi/2);

%Realisierungspole
R = R/(1+s/wn)^2;
L2 = R*G_uA_w2;
bode(L2);

%Verstrkungsfaktor
X = freqresp(L2,wc);
V = 1/abs(X);

R = R*V;
L3 = R*G_uA_w2;
bode(L3);

%Sprungantwort
T = feedback(L3,1);
step(T,4);
grid on;

%Vorfilter
F = 1/((s/3)^2+2*0.707*s/3+1);